CVE-2010-5109

NameCVE-2010-5109
DescriptionOff-by-one error in the DecompressRTF function in ytnef.c in Yerase's TNEF Stream Reader allows remote attackers to cause a denial of service (crash) via a crafted TNEF file, which triggers a buffer overflow.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs705468, 771360

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
claws-mail (PTS)stretch3.14.1-3fixed
buster3.17.3-2fixed
bullseye3.17.7-1fixed
sid3.17.8-1fixed
libytnef (PTS)stretch1.9.2-2fixed
buster1.9.3-1fixed
bullseye, sid1.9.3-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
claws-mailsourcesqueeze(not affected)
claws-mailsourcewheezy(not affected)
claws-mailsource(unstable)3.11.1-2771360
claws-mail-extra-pluginssource(unstable)(unfixed)low
libytnefsource(unstable)1.5-5low705468

Notes

[squeeze] - libytnef <no-dsa> (Minor issue)
[wheezy] - libytnef <no-dsa> (Minor issue)
[squeeze] - claws-mail-extra-plugins <no-dsa> (Minor issue)
[wheezy] - claws-mail-extra-plugins <no-dsa> (Minor issue)
[squeeze] - claws-mail <not-affected> (In Squeeze, the problematic package claws-mail-tnef-parser is built by claws-mail-extra-plugins)
[wheezy] - claws-mail <not-affected> (In Wheezy, the problematic package claws-mail-tnef-parser is built by claws-mail-extra-plugins)

Search for package or bug name: Reporting problems